Bug 204021 - "esc --version" should print out version number
"esc --version" should print out version number
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
RHEL5.0NACK
:
Depends On:
Blocks: 202042
  Show dependency treegraph
 
Reported: 2006-08-24 21:44 EDT by Chandrasekar Kannan
Modified: 2015-01-04 18:20 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0634
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:57:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2006-08-24 21:44:55 EDT
migrated from http://raidzilla.sfbay.redhat.com/show_bug.cgi?id=57443



Currently there's no version number for ESC that the end user can see. 

We need one of these two solutions:

(1) make an about box for ESC where it prints out the ESC version number , with
nice redhat Logos. 

(2) or do it from command line, esc -V , will print out the version number. 


Also, we need to talk to Sean Cotter to find out what version number to put
for ESC.


------- Additional Comment #1 From Thomas Kwan 2005-05-12 14:50 [reply] -------

move to 7.2, if you get to it, re-target it


------- Additional Comment #2 From Chandrasekar Kannan 2005-10-26 14:39 [reply]
-------

deferring these bugs to 7.2


------- Additional Comment #3 From Chandrasekar Kannan 2006-08-20 08:45 [reply]
-------

per bug council on 08/18/2006, jack to comment on if the level 1 diags with have
this or not.


------- Additional Comment #4 From John Magne 2006-08-21 09:15 [reply] -------

The diagnostics function will have this feature.
Comment 1 Bob Lord 2006-08-24 22:39:47 EDT
(In reply to comment #0)

> We need one of these two solutions:

My request is to have both UI and command line output.  
Comment 2 Jack Magne 2006-08-25 12:11:31 EDT
That can be done, I will figure it out.
Comment 3 Bob Lord 2006-09-08 18:09:35 EDT
Examples from other XUL apps on Linux:

$ /local/firefox/firefox --version
Mozilla Firefox 2.0b2, Copyright (c) 1998 - 2006 mozilla.org

$ /local/thunderbird/thunderbird --version
 Thunderbird 2.0a1, Copyright (c) 2005-2006 mozilla.org

Comment 4 Chandrasekar Kannan 2006-09-27 01:31:51 EDT
per bug council on 09/26, out of 72
Comment 5 Chandrasekar Kannan 2006-11-21 00:54:56 EST
per bug council on 11/17, these bugs are not targeted for RHEL 5.0 Smart card
login work. These bugs will now be targeted for RHEL 5.1. 

Comment 6 Chandrasekar Kannan 2007-03-20 07:12:25 EDT
per the last bug meeting, we decided this would be targeted in the rhel 5.1
release. 
Comment 7 Bob Lord 2007-03-28 13:26:28 EDT
This bug was proposed for RHEL 5, but wasn't resolved in time.
    devel_ack+ for RHEL 5.1.
Comment 8 Jack Magne 2007-04-13 14:30:03 EDT
Locally have it working to where the user can say while in:

/usr/lib/esc-1.0.0

./esc -version

It will print out the version on the command line.
Comment 9 Jack Magne 2007-04-18 20:53:20 EDT
Now the feature works by simply typing:

esc -version

At the terminal in any directory.

Fixed in esc-1.0.0-21.el5 .
Comment 12 Chandrasekar Kannan 2007-08-23 14:24:45 EDT
Verified on x86_64. I see an additional (null) printed out. Filing a separate
bug to get that removed/replaced.
Comment 14 errata-xmlrpc 2007-11-07 11:57:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0634.html

Note You need to log in before you can comment on or make changes to this bug.